Date: Mon, 7 Sep 1998 23:58:01 +0200 (CEST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Jes Sorensen <Jes.Sorensen@cern.ch>
cc: linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: 2.1.120
In-Reply-To: <199809071342.PAA14776@valhall.cern.ch>
Sender: owner-linux-m68k@phil.uni-sb.de

On Mon, 7 Sep 1998, Jes Sorensen wrote:
> Wheee
> 
> 2.1.120 is out - boy am I fast at the moment or what?
> 
> Anyway I have applied all patches posted here since the release of
> 2.1.119 and I also went out and picked up a few Mac ones which weren't
> posted (posting URL's with patches doesn't count in any way). Ok I was
> in a good mood, I promise it wont happen again.

And the result is nice. A very short patch this time.

Yes, I'm too lazy to upgrade {drivers,include}/video to the current vger level.

diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.120/arch/m68k/kernel/m68k_ksyms.c m68k/arch/m68k/kernel/m68k_ksyms.c
--- jes-2.1.120/arch/m68k/kernel/m68k_ksyms.c	Mon Aug 10 09:20:54 1998
+++ m68k/arch/m68k/kernel/m68k_ksyms.c	Mon Sep  7 23:25:57 1998
@@ -7,6 +7,7 @@
 #include <linux/elfcore.h>
 #include <linux/in6.h>
 #include <linux/interrupt.h>
+#include <linux/config.h>
 
 #include <asm/setup.h>
 #include <asm/machdep.h>
@@ -30,9 +31,13 @@
 EXPORT_SYMBOL(m68k_is040or060);
 EXPORT_SYMBOL(cache_push);
 EXPORT_SYMBOL(cache_clear);
+#ifndef CONFIG_SINGLE_MEMORY_CHUNK
 EXPORT_SYMBOL(mm_vtop);
 EXPORT_SYMBOL(mm_ptov);
 EXPORT_SYMBOL(mm_end_of_chunk);
+#endif
+EXPORT_SYMBOL(mm_vtop_fallback);
+EXPORT_SYMBOL(m68k_memory);
 EXPORT_SYMBOL(kernel_map);
 EXPORT_SYMBOL(m68k_debug_device);
 EXPORT_SYMBOL(dump_fpu);
@@ -44,6 +49,7 @@
 EXPORT_SYMBOL(local_bh_count);
 EXPORT_SYMBOL(enable_irq);
 EXPORT_SYMBOL(disable_irq);
+EXPORT_SYMBOL(checksignals);
 
 /* Networking helper routines. */
 EXPORT_SYMBOL(csum_partial_copy);
diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file jes-2.1.120/drivers/char/Makefile m68k/drivers/char/Makefile
--- jes-2.1.120/drivers/char/Makefile	Mon Sep  7 15:45:26 1998
+++ m68k/drivers/char/Makefile	Mon Sep  7 17:55:39 1998
@@ -27,9 +27,6 @@
 L_OBJS += vt.o vc_screen.o consolemap.o consolemap_deftbl.o
 LX_OBJS += console.o selection.o
 endif
-ifdef CONFIG_FB
-  LX_OBJS += fbmem.o
-endif
 
 ifeq ($(CONFIG_ATARI_MFPSER),y)
 L_OBJS += atari_MFPser.o

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

